﻿//--------------------------------------------------------------
//	ファンクション･ジェネレータで使うメソッド
//
//		作成者：三上直樹，2021/10/06 作成，©三上直樹 2021
//--------------------------------------------------------------

using System;
using System.Windows.Forms;
using System.Threading;

namespace CQ_FunctionGenerator
{
	public partial class Form1 : Form
	{
		// コントロールのリセット
		private void ResetCtrl()
		{
			radioButton1.Checked = true;	// "正弦波" ボタンが押された状態
			radioButton5.Checked = true;	// "Off" ボタンが押された状態
			checkBox1.Checked = false;		// ノイズの付加はなし
			trackBar4.Enabled = false;		// ノイズの大きさの TrackBar は無効の状態

			trackBar1.Value = 50;			// 出力信号の振幅
			label1.Text = (trackBar1.Value*0.01f).ToString("0.##");
			trackBar2.Value = 1000;			// 周波数
			textBox1.Text = trackBar2.Value.ToString();
			trackBar3.Value = 0;			// 周波数微調整
			button2.Enabled = false;
			label9.Text = "±0 Hz";
			trackBar4.Value = 50;			// ノイズの大きさ
			label10.Text = (trackBar4.Value*0.01f).ToString("0.##");
		}

		// シリアルポートのブレーク信号生成
		private void Break()
		{
			serialPort1.BreakState = true;
			Thread.Sleep(50);				// 50 ms 待つ
			serialPort1.BreakState = false;
		}

		// 別のスレッドを使う場合に使用
		private void Invoke(Action action) => base.Invoke(action);
	}
}
